# Installation
> `npm install --save @types/redis-scripto`

# Summary
This package contains type definitions for redis-scripto (https://github.com/arunoda/node-redis-scripto).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/redis-scripto.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/redis-scripto/index.d.ts)
````ts
import * as redis from "redis";

declare class Scripto {
    constructor(redisClient: redis.RedisClient);

    eval(scriptName: string, keys: string[], args: any[], callback: (err: Error, result: any) => void): void;
    evalSha(scriptName: string, keys: string[], args: any[], callback: (err: Error, result: any) => void): void;

    load(scripts: Scripto.Scripts): void;
    loadFromDir(scriptsDir: string): void;
    loadFromFile(name: string, filepath: string): void;

    run(scriptName: string, keys: string[], args: any[], callback: (err: Error, result: any) => void): void;
}

declare namespace Scripto {
    export type Script = string;

    export interface Scripts {
        [scriptName: string]: Script;
    }
}

export = Scripto;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: [@types/redis](https://npmjs.com/package/@types/redis)

# Credits
These definitions were written by [Seth Westphal](https://github.com/westy92).
